summaryrefslogtreecommitdiff
path: root/semaphoreci
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2019-04-04 14:10:42 +0200
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2019-04-12 08:30:31 +0200
commitcc5549ca12616376a4e4ef04fd4e2fb53d6d098c (patch)
tree68e2b0d1da95d280e8d3c277298db65c62a18ec4 /semaphoreci
parent408c9a07e55572f272e38fc84174cf610a9c9ccb (diff)
downloadsystemd-cc5549ca12616376a4e4ef04fd4e2fb53d6d098c.tar.gz
scripts: use 4 space indentation
We had all kinds of indentation: 2 sp, 3 sp, 4 sp, 8 sp, and mixed. 4 sp was the most common, in particular the majority of scripts under test/ used that. Let's standarize on 4 sp, because many commandlines are long and there's a lot of nesting, and with 8sp indentation less stuff fits. 4 sp also seems to be the default indentation, so this will make it less likely that people will mess up if they don't load the editor config. (I think people often use vi, and vi has no support to load project-wide configuration automatically. We distribute a .vimrc file, but it is not loaded by default, and even the instructions in it seem to discourage its use for security reasons.) Also remove the few vim config lines that were left. We should either have them on all files, or none. Also remove some strange stuff like '#!/bin/env bash', yikes.
Diffstat (limited to 'semaphoreci')
-rwxr-xr-xsemaphoreci/gcc-compilation.sh8
-rwxr-xr-xsemaphoreci/setup.sh1
2 files changed, 6 insertions, 3 deletions
diff --git a/semaphoreci/gcc-compilation.sh b/semaphoreci/gcc-compilation.sh
index 8755b850b6..ef499b8a35 100755
--- a/semaphoreci/gcc-compilation.sh
+++ b/semaphoreci/gcc-compilation.sh
@@ -1,5 +1,4 @@
#!/bin/bash
-
set -ex
# keep this in sync with setup.sh
@@ -40,4 +39,9 @@ dpkg-buildpackage -S -I -I$(basename "$SEMAPHORE_CACHE_DIR") -d -us -uc -nc
# now build the package and run the tests
rm -rf "$ARTIFACTS_DIR"
# autopkgtest exits with 2 for "some tests skipped", accept that
-$AUTOPKGTESTDIR/runner/autopkgtest --apt-upgrade --env DEB_BUILD_OPTIONS=noudeb --env TEST_UPSTREAM=1 ../systemd_*.dsc -o "$ARTIFACTS_DIR" -- lxc -s $CONTAINER || [ $? -eq 2 ]
+$AUTOPKGTESTDIR/runner/autopkgtest --apt-upgrade \
+ --env DEB_BUILD_OPTIONS=noudeb \
+ --env TEST_UPSTREAM=1 ../systemd_*.dsc \
+ -o "$ARTIFACTS_DIR" \
+ -- lxc -s $CONTAINER \
+ || [ $? -eq 2 ]
diff --git a/semaphoreci/setup.sh b/semaphoreci/setup.sh
index c904a300a1..c39238a4e9 100755
--- a/semaphoreci/setup.sh
+++ b/semaphoreci/setup.sh
@@ -1,5 +1,4 @@
#!/bin/bash
-
set -ex
# default to Debian testing